Bug 117553 - RuntimeError: failed to create a context
RuntimeError: failed to create a context
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: printconf (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-05 05:08 EST by Tim Waugh
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-09 04:58:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
locale output (252 bytes, text/plain)
2004-03-05 11:01 EST, Paul Anderson
no flags Details
printconf import file (96.24 KB, text/plain)
2004-03-05 11:02 EST, Paul Anderson
no flags Details
traceback of printconf (478 bytes, text/plain)
2004-03-08 16:04 EST, Paul Anderson
no flags Details

  None (edit)
Description Tim Waugh 2004-03-05 05:08:22 EST
Description of problem:
See bug #76079

Version-Release number of selected component (if applicable):
printconf-0.3.61-4.1 (presumably)

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
The fix for this will be to convert the printconf translations into
the right locale.
Comment 1 Tim Waugh 2004-03-05 05:08:37 EST
Paul, what does 'locale' say?
Comment 2 Paul Anderson 2004-03-05 11:01:03 EST
Created attachment 98319 [details]
locale output
Comment 3 Paul Anderson 2004-03-05 11:02:46 EST
Created attachment 98320 [details]
printconf import file
Comment 4 Paul Anderson 2004-03-05 11:03:23 EST
I have attached the import file and the output of locale.  Thanks for 
the assistance.
Comment 5 Tim Waugh 2004-03-05 11:06:00 EST
Thanks.  Can you also please attach the traceback that you're getting,
so we can be sure it is the same problem?
Comment 6 Paul Anderson 2004-03-08 16:04:13 EST
Created attachment 98382 [details]
traceback of printconf

Here is a copy of the error from the attempt at loading the file.
Comment 7 Tim Waugh 2004-03-09 04:36:56 EST
[root@linux1 tmp]# redhat-config-printer-tui --Ximport </tmp/settings.xml
Traceback (innermost last):
  File "/usr/sbin/redhat-config-printer-tui", line 8, in ?
    printconf_tui.startup_and_find_cmd()
  File "/usr/share/printconf/util/printconf_tui.py", line 2059, in
startup_and_find_cmd
    main.cmd_handlers[cmd]()
  File "/usr/share/printconf/util/printconf_tui.py", line 1967, in
import_cmd_run
    ctx = AdmContext(xml = xmlstr)
RuntimeError: failed to create a context

This is a totally different error altogether. :-)
Comment 8 Tim Waugh 2004-03-09 04:58:46 EST
You have two queues named LMLAS064.
Comment 9 Paul Anderson 2004-03-09 14:51:45 EST
DOH...sry...my bad.  Did not mean to have you correct my stupidity.  
I did check for duplicates, but I guess I missed this one.  Thank you 
again.

Paul

Note You need to log in before you can comment on or make changes to this bug.